/**********************************************************************
 Freeciv - Copyright (C) 2002 - Per I. Mathisen
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
***********************************************************************/
#ifndef FC__TESTS_H
#define FC__TESTS_H

#define FC_TEST_START(BANNER) \
 printf("\n== Test run " #BANNER " ==\n");

#define FC_TEST(MYTEST, MYCOMMENT) { \
 printf(MYCOMMENT);          \
 printf(" ... ");            \
 if (!MYTEST) {              \
  printf("fail\n");          \
  exit(1);                   \
 } else {                    \
  printf("ok\n");            \
 }                           \
}

#endif
